# Get application overview GET https://app.unleash-instance.example.com/api/admin/metrics/applications/{appName}/overview Returns an overview of the specified application (`appName`). Reference: https://docs.getunleash.io/api/get-application-overview ## OpenAPI Specification ```yaml openapi: 3.1.1 info: title: Get application overview version: endpoint_metrics.getApplicationOverview paths: /api/admin/metrics/applications/{appName}/overview: get: operationId: get-application-overview summary: Get application overview description: Returns an overview of the specified application (`appName`). tags: - - subpackage_metrics parameters: - name: appName in: path required: true schema: type: string - name: Authorization in: header description: Header authentication of the form `undefined ` required: true schema: type: string responses: '200': description: applicationOverviewSchema content: application/json: schema: $ref: '#/components/schemas/applicationOverviewSchema' '404': description: The requested resource was not found. content: {} components: schemas: applicationEnvironmentIssuesSchema: type: object properties: missingFeatures: type: array items: type: string description: The list of features that are missing in Unleash outdatedSdks: type: array items: type: string description: The list of used SDKs that are outdated required: - missingFeatures - outdatedSdks applicationOverviewEnvironmentSchema: type: object properties: name: type: string description: Name of the application environment instanceCount: type: number format: double description: The number of instances of the application environment sdks: type: array items: type: string description: SDKs used in the application environment frontendSdks: type: array items: type: string description: Frontend SDKs used in the application environment backendSdks: type: array items: type: string description: Backend SDKs used in the application environment lastSeen: type: - string - 'null' format: date-time description: The last time the application environment was seen issues: $ref: '#/components/schemas/applicationEnvironmentIssuesSchema' description: This list of issues that might be wrong with the application required: - name - instanceCount - sdks - frontendSdks - backendSdks - lastSeen - issues applicationOverviewIssuesSchema: type: object properties: missingStrategies: type: array items: type: string description: The list of strategies that are missing from Unleash required: - missingStrategies applicationOverviewSchema: type: object properties: projects: type: array items: type: string description: The list of projects the application has been using. featureCount: type: number format: double description: The number of features the application has been using. environments: type: array items: $ref: '#/components/schemas/applicationOverviewEnvironmentSchema' description: The list of environments the application has been using. issues: $ref: '#/components/schemas/applicationOverviewIssuesSchema' description: This list of issues that might be wrong with the application required: - projects - featureCount - environments - issues ``` ## SDK Code Examples ```python import requests url = "https://app.unleash-instance.example.com/api/admin/metrics/applications/appName/overview" headers = {"Authorization": ""} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://app.unleash-instance.example.com/api/admin/metrics/applications/appName/overview'; const options = {method: 'GET', headers: {Authorization: ''}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://app.unleash-instance.example.com/api/admin/metrics/applications/appName/overview" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://app.unleash-instance.example.com/api/admin/metrics/applications/appName/overview") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = '' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://app.unleash-instance.example.com/api/admin/metrics/applications/appName/overview") .header("Authorization", "") .asString(); ``` ```php request('GET', 'https://app.unleash-instance.example.com/api/admin/metrics/applications/appName/overview', [ 'headers' => [ 'Authorization' => '', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://app.unleash-instance.example.com/api/admin/metrics/applications/appName/overview"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", ""); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Authorization": ""] let request = NSMutableURLRequest(url: NSURL(string: "https://app.unleash-instance.example.com/api/admin/metrics/applications/appName/overview")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```